org.apache.xmlbeans.impl.regex

## Class SchemaRegularExpression

- java.lang.Object
- - org.apache.xmlbeans.impl.regex.RegularExpression
  - - org.apache.xmlbeans.impl.regex.SchemaRegularExpression

- All Implemented Interfaces:
    Serializable

      public class SchemaRegularExpression
      extends RegularExpression

  See Also:
    Serialized Form

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static RegularExpression` | `forPattern(String s)`

    - ### Methods inherited from class org.apache.xmlbeans.impl.regex.RegularExpression

      `equals, getNumberOfGroups, getOptions, getPattern, hashCode, matches, matches, matches, matches, matches, matches, matches, matches, matches, matches, setPattern, setPattern, setPattern, setPattern, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### forPattern

          public static RegularExpression forPattern(String s)